umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Enumerations
cxx11-strongly-typed-enumerations.h File Reference

Go to the source code of this file.

## Enumerations
enum class | Enumeration { Val1 , Val2 , Val3 = 100 , Val4 }
enum class | Enum2 : unsigned int { Val1 , Val2 }
enum | Enum3 : unsigned long { Val1 = 1 , Val2 }

## Enumeration Type Documentation

## ◆ Enum2

enum class Enum2 : unsigned int
| strong

Enumerator
Val1 |
Val2 |

## ◆ Enum3

enum Enum3 : unsigned long

Enumerator
Val1 |
Val2 |

## ◆ Enumeration

enum class Enumeration
| strong

Enumerator
Val1 |
Val2 |
Val3 |
Val4 |